#17 automake requires 'AM_PROG_LEX', not "AC_PROG_LEX'

open
nobody
None
5
2003-06-22
2003-06-22
Anonymous
No

I'm trying to build queue on both RedHat 9.0 and on
MacOS X 10.2. This is one of my first attempts at building
opensource unix applications so please bear with me. From
other support here I gleaned that I might need to run
automake --add-mssing. On both systems, if I run it I get
this result:

[patch:~/queue-1.40.1beta] jim% automake --add-missing
--gnu Makefile
configure.in:26: automake requires `AM_PROG_LEX', not
`AC_PROG_LEX'
configure.in:6: your implementation of
AM_INIT_AUTOMAKE comes from an
configure.in:6: old Automake version. You should recreate
aclocal.m4
configure.in:6: with aclocal and run automake again.

I'm running automake 1.6.1 on MacOS X. Is that really not
recent enough?

How do I recreate aclocal.m4?

Thanks,
Jim

Discussion